From 85c20f1bc95db8cade44cfaf6b3dd6d3c0e0b820 Mon Sep 17 00:00:00 2001
From: santhosh hassan <sahassan@google.com>
Date: Sat, 9 Mar 2019 01:37:59 -0800
Subject: [PATCH 05/19] mistral: Add psci_power_ops poweroff/reboot driver
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Like all arm64 devices, we can power off and reboot a Mistral with the
PSCI callbacks implemented by Arm TF. This patch enables the
standard PSCI SMC power_ops driver in depthcharge to do that.

Change-Id: I03a331d16afca88e622cc56824a9488e36eb1688
Signed-off-by: Santhosh Hassan <sahassan@google.com>
---
 src/board/mistral/board.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/board/mistral/board.c b/src/board/mistral/board.c
index 0d6791b5d311..46523a962b9e 100644
--- a/src/board/mistral/board.c
+++ b/src/board/mistral/board.c
@@ -24,6 +24,7 @@
 #include "vboot/util/flag.h"
 #include "boot/fit.h"
 #include "drivers/bus/usb/usb.h"
+#include "drivers/power/psci.h"
 
 static const VpdDeviceTreeMap vpd_dt_map[] = {
 	{ "cherokee_mac", "/soc@0/wifi@a000000/local-mac-address" },
@@ -73,6 +74,8 @@ static int board_setup(void)
 	flag_replace(FLAG_LIDSW, new_gpio_high());
 	flag_replace(FLAG_PWRSW, new_gpio_low());
 
+	power_set_ops(&psci_power_ops);
+
 	UsbHostController *usb_host2 = new_usb_hc(XHCI, 0x78C0000);
 
 	list_insert_after(&usb_host2->list_node, &usb_host_controllers);
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

